# Bulk settlement payment received

Triggered when a bulk settlement fund is received. Once there is a match, meaning the amount for this settlement journal is fully settled, the `amount_matched` is set to `true`. If it is not matched, check the difference between `source_amount` and `target_amount` to determine how much more needs to be paid.
This event can also be triggered when our operations team reallocates funds between settlements. Therefore, the `received_amount` in version 2.0.0 of the webhook is inaccurate. Please use the latest version, 4.0.0. Version 2.0.0 is deprecated.
* Event type: `bulk-settlement#payment-received`
* Profile level subscriptions: Not Supported
* Application level subscriptions: Supported

Events may not be delivered in the order they occurred. Use `data.occurred_at` to reconcile the order.
See the [Event ordering guide](/guides/developer/webhooks/event-ordering) for details.
See the [Webhooks guide](/guides/developer/webhooks) for setup instructions, signature verification, and best practices.

Endpoint: POST bulk-settlement#payment-received

## Header parameters:

  - `X-Signature-SHA256` (string)
    RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the [Wise public key](/guides/developer/webhooks/event-handling#requests) to ensure the request is authentic and has not been tampered with.

  - `X-Delivery-Id` (string)
    Unique identifier for this webhook delivery attempt.

  - `X-Test-Notification` (boolean)
    Present with the value `true` if this is a test notification sent to verify your callback URL during subscription setup.

## Request fields (application/json):

  - `schema_version` (string)
    Version of the event schema. Determined by the `schema_version` on your [webhook subscription](/api-reference/webhook).
    Enum: "4.0.0"

  - `subscription_id` (string)
    ID of the webhook subscription that triggered this event.
    Example: f5b51f77-e14a-433b-9f7c-fc2834ffcff5

  - `event_type` (string)
    Event type identifier
    Example: bulk-settlement#payment-received

  - `sent_at` (string)
    Timestamp when the event was sent.
    Example: 2024-04-18T06:36:17.123Z

  - `data` (object)

  - `data.resource` (object)

  - `data.resource.settlement_reference` (string)
    Reference on settlement journal
    Example: TPFB1111111

  - `data.resource.source_currency` (string)
    Settlement currency
    Example: GBP

  - `data.resource.source_amount` (number)
    The amount Wise paid out on behalf of partner.
    Example: -100.1

  - `data.resource.target_amount` (number)
    Total settlement fund received for this settlement journal.
    Example: 100.1

  - `data.resource.amount_matched` (boolean)
    Whether amount received matches what is expected.
    Example: true

  - `data.occurred_at` (string)
    When the settlement fund was received.
    Example: 2024-04-18T06:36:15.789Z

  - `subscription_id` (string)
    ID of the webhook subscription that triggered this event
    Example: f5b51f77-e14a-433b-9f7c-fc2834ffcff5

  - `sent_at` (string)
    Timestamp when the event was sent
    Example: 2024-04-18T06:36:17Z

## Response 200 fields (application/json):

  - `status` (string)
    Example: ok

